<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.18
Name: Pflegerelevante Informationen zur medizinischen Behandlung
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.3.2.18-2015-09-17T000000">
   <title>Pflegerelevante Informationen zur medizinischen Behandlung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]
Item: (Pflegerelevante Informationen zur medizinischen Behandlung)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]
Item: (Pflegerelevante Informationen zur medizinischen Behandlung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]"
         id="d44e8848-false-d81276e0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']) &gt;= 1">(Pflegerelevante Informationen zur medizinischen Behandlung): Element hl7:templateId[@root = '1.2.40.0.34.11.3.2.18'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="count(hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']) &lt;= 1">(Pflegerelevante Informationen zur medizinischen Behandlung): Element hl7:templateId[@root = '1.2.40.0.34.11.3.2.18'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="count(hl7:code[(@code = 'PFMEDBEH' and @codeSystem = '1.2.40.0.34.5.40')]) &gt;= 1">(Pflegerelevante Informationen zur medizinischen Behandlung): Element hl7:code[(@code = 'PFMEDBEH' and @codeSystem = '1.2.40.0.34.5.40')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="count(hl7:code[(@code = 'PFMEDBEH' and @codeSystem = '1.2.40.0.34.5.40')]) &lt;= 1">(Pflegerelevante Informationen zur medizinischen Behandlung): Element hl7:code[(@code = 'PFMEDBEH' and @codeSystem = '1.2.40.0.34.5.40')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Pflegerelevante Informationen zur medizinischen Behandlung): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Pflegerelevante Informationen zur medizinischen Behandlung): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Pflegerelevante Informationen zur medizinischen Behandlung): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Pflegerelevante Informationen zur medizinischen Behandlung): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.8']]]) &lt;= 1">(Pflegerelevante Informationen zur medizinischen Behandlung): Element hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.8']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]/hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']
Item: (Pflegerelevante Informationen zur medizinischen Behandlung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]/hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']"
         id="d44e8850-false-d81334e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Pflegerelevante Informationen zur medizinischen Behandlung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="string(@root) = ('1.2.40.0.34.11.3.2.18')">(Pflegerelevante Informationen zur medizinischen Behandlung): Der Wert von root MUSS '1.2.40.0.34.11.3.2.18' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]/hl7:code[(@code = 'PFMEDBEH' and @codeSystem = '1.2.40.0.34.5.40')]
Item: (Pflegerelevante Informationen zur medizinischen Behandlung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]/hl7:code[(@code = 'PFMEDBEH' and @codeSystem = '1.2.40.0.34.5.40')]"
         id="d44e8855-false-d81349e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Pflegerelevante Informationen zur medizinischen Behandlung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="@nullFlavor or (@code='PFMEDBEH' and @codeSystem='1.2.40.0.34.5.40')">(Pflegerelevante Informationen zur medizinischen Behandlung): Der Elementinhalt MUSS einer von 'code 'PFMEDBEH' codeSystem '1.2.40.0.34.5.40'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]/hl7:title[not(@nullFlavor)]
Item: (Pflegerelevante Informationen zur medizinischen Behandlung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]/hl7:title[not(@nullFlavor)]"
         id="d44e8863-false-d81365e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Pflegerelevante Informationen zur medizinischen Behandlung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="text()='Pflegerelevante Informationen zur medizinischen Behandlung'">(Pflegerelevante Informationen zur medizinischen Behandlung): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Pflegerelevante Informationen zur medizinischen Behandlung'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]/hl7:text[not(@nullFlavor)]
Item: (Pflegerelevante Informationen zur medizinischen Behandlung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]/hl7:text[not(@nullFlavor)]"
         id="d44e8869-false-d81379e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20250320T133123/tmp-1.2.40.0.34.11.3.2.18-2015-09-17T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(Pflegerelevante Informationen zur medizinischen Behandlung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.8']]]
Item: (Pflegerelevante Informationen zur medizinischen Behandlung)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.18
Context: *[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]]/hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.3.2.18']]/hl7:component[hl7:section[hl7:templateId[@root = '1.2.40.0.34.11.1.2.9']]]
Item: (Pflegerelevante Informationen zur medizinischen Behandlung)
--></pattern>
